Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 625433002: Pages controlled by ServiceWorkers should not participate in AppCaching (Closed)

Created:
3 years, 9 months ago by michaeln
Modified:
3 years, 9 months ago
CC:
chromium-reviews, darin-cc_chromium.org, horo+watch_chromium.org, jam, jsbell+serviceworker_chromium.org, kinuko+serviceworker, nhiroki, serviceworker-reviews, tzik
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Pages controlled by ServiceWorkers should not participate in AppCaching. The manifest attribute of pages in the scope of a ServiceWorker are ignored, and existing AppCaches are ignored for navigations into a ServiceWorker's scope. BUG=410665 Committed: https://crrev.com/22390646e70aba2bb8e90688f9a6351f9571bca3 Cr-Commit-Position: refs/heads/master@{#300406}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 1

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Total comments: 6

Patch Set 7 : #

Patch Set 8 : #

Patch Set 9 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+102 lines, -7 lines) Patch
M content/browser/appcache/appcache_host.h View 1 2 3 4 2 chunks +7 lines, -0 lines 0 comments Download
M content/browser/appcache/appcache_host.cc View 1 2 2 chunks +6 lines, -0 lines 0 comments Download
M content/browser/appcache/appcache_interceptor.h View 1 2 3 4 5 6 7 3 chunks +10 lines, -0 lines 0 comments Download
M content/browser/appcache/appcache_interceptor.cc View 1 2 3 4 2 chunks +28 lines, -4 lines 0 comments Download
M content/browser/appcache/appcache_request_handler.cc View 1 2 2 chunks +11 lines, -0 lines 0 comments Download
M content/browser/appcache/appcache_storage_impl_unittest.cc View 1 2 3 4 5 2 chunks +16 lines, -1 line 0 comments Download
M content/browser/service_worker/service_worker_provider_host.h View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_request_handler.h View 1 2 3 4 5 6 7 1 chunk +6 lines, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_request_handler.cc View 1 2 3 4 5 6 3 chunks +11 lines, -2 lines 0 comments Download
M content/browser/storage_partition_impl_map.cc View 1 2 3 4 5 6 2 chunks +3 lines, -0 lines 0 comments Download

Messages

Total messages: 19 (3 generated)
michaeln
ptal
3 years, 9 months ago (2014-10-03 00:12:28 UTC) #2
michaeln
https://codereview.chromium.org/625433002/diff/40001/content/browser/appcache/appcache_request_handler.cc File content/browser/appcache/appcache_request_handler.cc (right): https://codereview.chromium.org/625433002/diff/40001/content/browser/appcache/appcache_request_handler.cc#newcode244 content/browser/appcache/appcache_request_handler.cc:244: // prior to the AppCache handler. bah... the ordering ...
3 years, 9 months ago (2014-10-03 01:09:46 UTC) #3
falken
looks good, I guess it needs another look when the ordering problem is fixed? Are ...
3 years, 9 months ago (2014-10-03 03:36:13 UTC) #4
michaeln
On 2014/10/03 03:36:13, falken wrote: > looks good, I guess it needs another look when ...
3 years, 9 months ago (2014-10-09 20:53:42 UTC) #5
michaeln
https://codereview.chromium.org/625433002/diff/290001/content/browser/storage_partition_impl_map.cc File content/browser/storage_partition_impl_map.cc (right): https://codereview.chromium.org/625433002/diff/290001/content/browser/storage_partition_impl_map.cc#newcode441 content/browser/storage_partition_impl_map.cc:441: AppCacheInterceptor::CreateStartInterceptor().release()); here's how we get the ordering we want
3 years, 9 months ago (2014-10-10 21:55:40 UTC) #6
michaeln
ping!
3 years, 9 months ago (2014-10-14 00:51:05 UTC) #7
falken
I think this looks good. Does it make sense to add a test that SW ...
3 years, 9 months ago (2014-10-14 01:24:50 UTC) #8
michaeln
> Does it make sense to add a test that SW wins over AppCache? Yes, ...
3 years, 9 months ago (2014-10-14 01:52:42 UTC) #9
michaeln
@jochen for content OWNERS
3 years, 9 months ago (2014-10-16 21:39:01 UTC) #11
jochen (gone - plz use gerrit)
storage partition impl lgtm for the rest I defer to falken
3 years, 9 months ago (2014-10-17 12:02:26 UTC) #12
falken
On 2014/10/17 12:02:26, jochen wrote: > storage partition impl lgtm > > for the rest ...
3 years, 9 months ago (2014-10-20 01:25:36 UTC) #13
michaeln
> Code looks good, I think we land to land it with a test? A ...
3 years, 9 months ago (2014-10-20 23:00:38 UTC) #14
falken
On 2014/10/20 23:00:38, michaeln wrote: > > Code looks good, I think we land to ...
3 years, 9 months ago (2014-10-21 01:29:20 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/625433002/450001
3 years, 9 months ago (2014-10-21 02:17:55 UTC) #17
commit-bot: I haz the power
Committed patchset #9 (id:450001)
3 years, 9 months ago (2014-10-21 03:09:28 UTC) #18
commit-bot: I haz the power
3 years, 9 months ago (2014-10-21 03:11:56 UTC) #19
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/22390646e70aba2bb8e90688f9a6351f9571bca3
Cr-Commit-Position: refs/heads/master@{#300406}

Powered by Google App Engine
This is Rietveld 408576698